#ifndef SCREEM_PRINT_H
#define SCREEM_PRINT_H

#include <libgnome/libgnome.h>
#include <libgnomeprint/gnome-print.h>
#include <libgnomeprint/gnome-print-job.h>
#include <libgnomeprintui/gnome-print-dialog.h>
#include <libgnomeprintui/gnome-print-job-preview.h>

#include "screem-page.h"

#define CM(v) ((v) * 72.0 / 2.54)

typedef struct ScreemPrintJob ScreemPrintJob;

struct ScreemPrintJob {
	
	ScreemPage *page;

	gboolean preview;

	GnomePrintConfig *config;
	gint              range_type;

	GnomePrintJob  *print_job;
	GnomePrintContext *print_ctx;

	gint    page_num;
        gdouble page_width;
        gdouble page_height;
        gdouble margin_top;
        gdouble margin_left;
        gdouble margin_right;
        gdouble margin_bottom;
        gdouble header_height;
        gdouble numbers_width;

	GnomeFont *font_body;
        GnomeFont *font_header;
        GnomeFont *font_numbers;

        gint first_line_to_print;
        gint printed_lines;

	/* print status stuff */
        gboolean         print_header;
        gboolean         print_wrap_lines;
        gint             print_line_numbers;

        gchar           *print_font_body;
        gchar           *print_font_header;
        gchar           *print_font_numbers;
};

ScreemPrintJob* screem_print_job_new( ScreemPage *page, gboolean preview );
void screem_print_job_destroy( ScreemPrintJob *job );

#endif
